//-----------------------------------------------------------------------------
// Torque Game Engine
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Channel assignments (channel 0 is unused in-game).

$GuiAudioType     = 1;
$SimAudioType     = 2;
$MessageAudioType = 3;

new AudioDescription(AudioGui)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $SimAudioType;
};

new AudioDescription(AudioMessage)
{
   volume   = 1.0;
   isLooping= false;
   is3D     = false;
   type     = $MessageAudioType;
};

new AudioDescription(AudioLoop)
{
   volume   = 0.95;
   isLooping= true;
   is3D     = false;
   type     = $GuiAudioType;
};

//-----------------------------------------------------------------------------

new AudioProfile(AudioButtonOver)
{
   filename = "~/data/sound/buttonOver.wav";
   description = "AudioMessage";
	preload = true;
};

new AudioProfile(AudioStartup)
{
   filename = "~/data/sound/GutterBrothersHouse.ogg";
   description = "AudioLoop";
	preload = true;
};

new AudioProfile(AudioCumshot)
{
   filename = "~/data/sound/cumshot.wav";
   description = "AudioGui";
	preload = true;
};

new AudioProfile(AudioGangbangCumshot)
{
   filename = "~/data/sound/gangbangcumshot.ogg";
   description = "AudioGui";
	preload = true;
};