//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// 3D Sounds
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Single shot sounds

datablock AudioDescription(AudioDefault3d)
{
   volume   = 1.0;
   isLooping= false;

   is3D     = true;
   ReferenceDistance= 20.0;
   MaxDistance= 100.0;
   type     = $SimAudioType;
};

datablock AudioDescription(AudioClose3d)
{
   volume   = 1.0;
   isLooping= false;

   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 60.0;
   type     = $SimAudioType;
};

datablock AudioDescription(AudioClosest3d)
{
   volume   = 0.8;
   isLooping= false;

   is3D     = true;
   ReferenceDistance= 5.0;
   MaxDistance= 30.0;
   type     = $SimAudioType;
};


//-----------------------------------------------------------------------------
// Looping sounds

datablock AudioDescription(AudioDefaultLooping3d)
{
   volume   = 1.0;
   isLooping= true;

   is3D     = true;
   ReferenceDistance= 20.0;
   MaxDistance= 100.0;
   type     = $SimAudioType;
};

datablock AudioDescription(AudioCloseLooping3d)
{
   volume   = 1.0;
   isLooping= true;

   is3D     = true;
   ReferenceDistance= 10.0;
   MaxDistance= 50.0;
   type     = $SimAudioType;
};

datablock AudioDescription(AudioClosestLooping3d)
{
   volume   = 0.8;
   isLooping= true;

   is3D     = true;
   ReferenceDistance= 5.0;
   MaxDistance= 30.0;
   type     = $SimAudioType;
};

//-----------------------------------------------------------------------------
//Sounds

datablock AudioProfile(cum)
{
   filename = "~/data/sound/cum.wav";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(sex)
{
   filename = "~/data/sound/sex.ogg";
   description = "AudioClosestLooping3d";
	preload = false;
};

datablock AudioProfile(blowjob)
{
   filename = "~/data/sound/blowjob.ogg";
   description = "AudioClosestLooping3d";
	preload = false;
};

datablock AudioProfile(pigmoan)
{
   filename = "~/data/sound/pig.ogg";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(malemoan)
{
   filename = "~/data/sound/male1.ogg";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(malemoan2)
{
   filename = "~/data/sound/eroticbreathe.wav";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(malemoan3)
{
   filename = "~/data/sound/hurt01.wav";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(malemoan4)
{
   filename = "~/data/sound/hurt02.wav";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(malecum)
{
   filename = "~/data/sound/male2.ogg";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(sheepmoan)
{
   filename = "~/data/sound/sheep.ogg";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(goatmoan)
{
   filename = "~/data/sound/goat.ogg";
   description = "AudioClosest3d";
	preload = false;
};

datablock AudioProfile(peesound)
{
   filename = "~/data/sound/pee.ogg";
   description = "AudioClosestLooping3d";
	preload = false;
};

datablock AudioProfile(poopsound)
{
   filename = "~/data/sound/poop.ogg";
   description = "AudioClosestLooping3d";
	preload = false;
};